package com.yidianling.consultant.constants

/**
 * Created by xj on 2019/7/1.
 */
class ConsultBIConstants {

    companion object {
        //咨询筛选页
        const val PART_ID_CONSULT_FILTER_PAGE = "consult_filter_page"

        const val POSITION_CONSULT_TYPE_CLICK = "consult_type_click" //咨询方式
        const val POSITION_AVERAGE_SERVICE_INPUT = "average_service_input" //服务均价
        const val POSITION_AGE_CHOICE_CLICK = "age_choice_click" //年龄选择
        const val POSITION_QUALIFICATION_CHOICE_CLICK = "qualification_choice_click" //资质选择
        const val POSITION_GOOD_AT_CLICK = "good_at_click" // 擅长人群
        const val POSITION_OTHER_CHOICE_CLICK = "other_choice_click" //其他选择
        const val POSITION_CONSULT_FILTER_RESET_CLICK = "consult_filter_reset_click" //重置
        const val POSITION_CONSULT_FILTER_CHECKOUT_CLICK = "consult_filter_checkoutallconsultants_click" //查看XXX位咨询师
        const val POSITION_DAOYI_ADVERTISEMENT_CLICK="daoyi_advertisement_page|daoyi_advertisement_click"
        const val POSITION_DAOYI_ADVERTISEMENT_VISIT="daoyi_advertisement_page|daoyi_advertisement_visit"
    }

    //====================APP咨询列表页（app_consult_list_page）====================
    class ConsultEvent {
        companion object {
            private const val APP_CONSULT_LIST_PAGE: String =
                "app_consult_list_page|"//APP咨询列表页  partId

            const val APP_CONSULT_LIST_PAGE_VISIT: String =
                APP_CONSULT_LIST_PAGE + "app_consult_list_page_visit"//列表页浏览事件
            const val APP_CONSULT_LIST_CONSULT_GUIDE_CLICK: String =
                APP_CONSULT_LIST_PAGE + "app_consult_list_consult_guide_click "//咨询指南
            const val APP_CONSULT_LIST_ONLINE_CUSTOMER_CLICK: String =
                APP_CONSULT_LIST_PAGE + "app_consult_list_online_customer_click"//在线客服
            const val APP_CONSULT_LIST_THEME_CLICK: String =
                APP_CONSULT_LIST_PAGE + "app_consult_list_theme_click "//主题全部
            const val APP_CONSULT_LIST_AREA_CLICK: String =
                APP_CONSULT_LIST_PAGE + "app_consult_list_area_click"//地区各个地区
            const val APP_CONSULT_LIST_SORT_CLICK: String =
                APP_CONSULT_LIST_PAGE + "app_consult_list_sort_click"//排序综合排序
            const val APP_CONSULT_LIST_DOCTOR_CLICK: String =
                APP_CONSULT_LIST_PAGE + "app_consult_list_doctor_click"//每个咨询师页面点击
            const val APP_CONSULT_LIST_CHAT_CLICK: String =
                APP_CONSULT_LIST_PAGE + "app_consult_list_chat_click"//每个咨询师私聊
            const val YDL_USER_CONSULT_PAGE_STAY_VISIT: String =
                APP_CONSULT_LIST_PAGE + "ydl_user_consult_page_stay_visit"//咨询师页面停留时长
            const val YDL_USER_CONSULT_SEARCH_CLICK: String =
                APP_CONSULT_LIST_PAGE + "ydl_user_consult_search_click"//咨询师页搜索框点击事件
            const val YDL_USER_CONSULT_TYPE_CLICK: String =
                APP_CONSULT_LIST_PAGE + "ydl_user_consult_type_click"//咨询师顶部ICON 厌学专题、限时特惠、精神心理

        }
    }
    class ConsultSearchListEvent {
        companion object {
            private const val CONSULT_SEARCH_LIST_PAGE: String =
                "consul_search_list_page|"//APP咨询搜索列表页  partId

            const val APP_CONSULT_SEARCH_LIST_PAGE_VISIT: String =
                CONSULT_SEARCH_LIST_PAGE + "consul_search_list_page_visit"//列表页浏览事件
            const val APP_CONSULT_SEARCH_LIST_CONSULT_ITEM_CLICK: String =
                CONSULT_SEARCH_LIST_PAGE + "consult_search_list_doctor_click "//每个咨询师页面点击
            const val APP_CONSULT_SEARCH_LIST_CHAT_CLICK: String =
                CONSULT_SEARCH_LIST_PAGE + "consult__search_list_chat_click"//每个咨询师私聊
        }
    }
    class UserMainEvent {
        companion object {

            private const val YDL_USER_MAIN_PAGE: String =
                "ydl_user_main_page|"//壹点灵用户版首页    partId

            const val YDL_USER_SEARCH_CLICK: String =
                YDL_USER_MAIN_PAGE + "ydl_user_search_click"  //搜索栏
            const val YDL_PRIVATE_CHAT_CLICK: String =
                YDL_USER_MAIN_PAGE + "private_chat_click"    // 点击私聊按钮
        }
    }
}